VERSION 5.00
Begin VB.Form frmRobotDemo 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "fischertechnik : Industry Robots"
   ClientHeight    =   4695
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7245
   Icon            =   "iSchwenk.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   ScaleHeight     =   4695
   ScaleWidth      =   7245
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   495
      Left            =   5640
      TabIndex        =   0
      Top             =   3960
      Width           =   1335
   End
   Begin VB.CommandButton cmdAbbrechen 
      Caption         =   "Abbrechen"
      Height          =   495
      Left            =   4080
      TabIndex        =   3
      Top             =   3960
      Width           =   1335
   End
   Begin VB.PictureBox picAction 
      AutoRedraw      =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2775
      Left            =   360
      ScaleHeight     =   2715
      ScaleWidth      =   6555
      TabIndex        =   9
      Top             =   960
      Visible         =   0   'False
      Width           =   6615
      Begin VB.Shape shpKreisR 
         FillColor       =   &H0000FFFF&
         FillStyle       =   0  'Ausgefllt
         Height          =   1215
         Left            =   4320
         Shape           =   3  'Kreis
         Top             =   720
         Visible         =   0   'False
         Width           =   1455
      End
      Begin VB.Shape shpKreisL 
         FillColor       =   &H0000FFFF&
         FillStyle       =   0  'Ausgefllt
         Height          =   1215
         Left            =   840
         Shape           =   3  'Kreis
         Top             =   720
         Visible         =   0   'False
         Width           =   1455
      End
   End
   Begin VB.PictureBox picDaten 
      AutoRedraw      =   -1  'True
      Height          =   2775
      Left            =   360
      ScaleHeight     =   2715
      ScaleWidth      =   6555
      TabIndex        =   2
      Top             =   960
      Width           =   6615
      Begin VB.Label lblPlan 
         BackColor       =   &H00E0E0E0&
         Caption         =   "M2 / L : auf, E3 : Endtaster, E4 : Impulstaster"
         Height          =   255
         Index           =   3
         Left            =   1920
         TabIndex        =   8
         Top             =   900
         Width           =   4455
      End
      Begin VB.Label lblMotor 
         BackColor       =   &H00E0E0E0&
         Caption         =   "Greifer"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   12
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Index           =   3
         Left            =   240
         TabIndex        =   7
         Top             =   900
         Width           =   1455
      End
      Begin VB.Label lblPlan 
         BackColor       =   &H00E0E0E0&
         Caption         =   "M1 / L : links drehen, E1 : Ende links, E2 : Ende rechts"
         Height          =   255
         Index           =   0
         Left            =   1920
         TabIndex        =   6
         Top             =   240
         Width           =   4455
      End
      Begin VB.Label lblMotor 
         BackColor       =   &H00E0E0E0&
         Caption         =   "Schwenker"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   12
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Index           =   0
         Left            =   240
         TabIndex        =   5
         Top             =   240
         Width           =   1455
      End
   End
   Begin VB.Label lblDialog 
      BackColor       =   &H0000FF00&
      Caption         =   "START : Mit Interface Panel manuell checken, Greifer auf Mitte stellen, Tonne auf linke Platte"
      Height          =   375
      Left            =   360
      TabIndex        =   4
      Top             =   3960
      Width           =   3495
   End
   Begin VB.Label lblTitel 
      BackColor       =   &H00E0E0E0&
      Caption         =   "  iSchwenk : Kontrolle der Verkabelung"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   360
      Width           =   6615
   End
End
Attribute VB_Name = "frmRobotDemo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' -------------------------------------------------------------------------
'
' frmRobotDemo(iSchwenk.FRM)                         Ulrich Mller  29.6.98
'                                                    Dell XPS P90     VB5.0
' fischertechnik : Industry Robots
' Diagnose- und Demo-Programm fr den Sulen Roboter
'
' -------------------------------------------------------------------------

Option Explicit

Dim ft As New clsFishFace
Dim PortName$

Private Sub Beenden()

' --- Beenden des Programms ---

  ft.CloseInterface
  Set ft = Nothing
  End
  
End Sub



Private Sub Demo()

' --- Demonstration der Funktionen des Schwenk Roboters ---
'     Aufnehmen einer Tonne von der linken Platte
'     krftiges Schwenken und Absetzen
'     Die Fehlerabfrage soll sicherstellen, da der Impulstaster des
'     Greifer richtig geschaltet ist. Das Vorhandensein von Endtastern
'     kann nicht geprft werden. Weitere mgliche Fehler wie Stromausfall
'     werden nicht geprft

Dim i%

On Error GoTo IFehler

  ft.SetMotor cRGreiferMotor, cRGreiferAuf
  If ft.WaitForChange(cRGreiferImpuls, 99, cRGreiferOffen) = ftiFehler Then Err.Raise ftiFehler
  ft.SetMotor cRGreiferMotor, ftiAus
  
  shpKreisR.Visible = True
  ft.SetMotor cRSchwenkMotor, cRSchwenkRechts    ' --- Schwenk rechts
  Do
  Loop Until ft.GetInput(cRSchwenkERechts)
  shpKreisR.Visible = False                      '     Endtaster wirkt
  shpKreisL.Visible = True
  ft.SetMotor cRSchwenkMotor, cRSchwenkLinks    ' --- Schwenk links
  Do
  Loop Until ft.GetInput(cRSchwenkELinks)
  ft.SetMotor cRSchwenkMotor, ftiAus
  shpKreisL.Visible = False
  
  ft.SetMotor cRGreiferMotor, cRGreiferZu       ' --- Greifer zu
  ft.WaitForChange cRGreiferImpuls, 32
  ft.SetMotor cRGreiferMotor, ftiAus
  
  shpKreisR.Visible = True
  ft.SetMotor cRSchwenkMotor, cRSchwenkRechts    ' --- Schwenk Mitte
  ft.WaitForTime 5000
  For i = 1 To 3
    shpKreisR.Visible = False
    shpKreisL.Visible = True
    ft.SetMotor cRSchwenkMotor, cRSchwenkLinks
    ft.WaitForTime 700
    shpKreisL.Visible = False
    shpKreisR.Visible = True
    ft.SetMotor cRSchwenkMotor, cRSchwenkRechts
    ft.WaitForTime 600
  Next i
  ft.SetMotor cRSchwenkMotor, ftiAus
  
' ---- Random ----

  For i = 1 To 10
    shpKreisR.Visible = False
    shpKreisL.Visible = True
    ft.WaitForTime 100
    shpKreisL.Visible = False
    shpKreisR.Visible = True
    ft.WaitForTime 100
  Next i
  
  Randomize Time
  If Rnd < 0.5 Then
    shpKreisR.Visible = True
    shpKreisL.Visible = False
    ft.SetMotor cRSchwenkMotor, cRSchwenkRechts    ' --- Schwenk random
    Do
   Loop Until ft.GetInput(cRSchwenkERechts)
  Else
    shpKreisR.Visible = False
    shpKreisL.Visible = True
    ft.SetMotor cRSchwenkMotor, cRSchwenkLinks    ' --- Schwenk random
    Do
    Loop Until ft.GetInput(cRSchwenkELinks)
  End If
  ft.SetMotor cRSchwenkMotor, ftiAus
  
  ft.SetMotor cRGreiferMotor, cRGreiferAuf      ' --- Greifer auf
  ft.WaitForChange cRGreiferImpuls, 99, cRGreiferOffen
  ft.SetMotor cRGreiferMotor, ftiAus
  Exit Sub
  
IFehler:
  picAction.Print "Interface Problem : Taster korrekt, Motorpolung?"
  ft.ClearMotors
  
End Sub

Private Sub GetPortParm(PortName$)

' --- Ermitteln von Portname und bei LPT ggf. Setzen des OutputDelay --

Dim w$, i%

  w = "COM1"
  
  If Len(Command$) > 3 Then
    w = Command$
  Else
    w = InputBox("Bitte den aktuellen Portnamen eingeben : COM1 - COM4, LPT1 - LPT3. Bei LPT ggf. auch das OutputDelay (default = 3, fr Pentium 90 - 200 : z.B. LPT1,03)", "Industry Robots Demo", "COM1")
  End If
  w = UCase(w)
  
  If Len(w) < 4 Then
    PortName = "COM1"
  Else
    If Left(w, 3) = "COM" Or Left(w, 3) = "LPT" Then
      PortName = Left(w, 4)
    End If
    If Len(w) = 7 And Left(PortName, 3) = "LPT" Then
      i = Val(Right(w, 2))
      If i > 0 Then ft.OutputDelay = i
    End If
  End If
  
End Sub


Private Sub cmdAbbrechen_Click()

  ft.NotHalt = True
  Beenden
  
End Sub


Private Sub cmdAction_Click()

' --- Steuerung des Programmablaufes ---

Dim res&

  If cmdAction.Caption = "ENDE" Then Beenden
   
' --- ffnen Interface und Anzeige Interface Panel ---

  cmdAction.Enabled = False
  GetPortParm PortName
  res = ft.OpenInterface(PortName)
  If res = ftiFehler Then End
  ft.ShowPanel 500, 500
  
  Do                          ' --- Warten auf Schlieen des Panels
    DoEvents
  Loop While ft.PanelEnabled
  
' --- Durchfhren der Demo ---

  lblTitel = "iSchwenk : Demo"
  lblDialog = "Demo luft"
  picDaten.Visible = False
  picAction.Visible = True
  
  Demo
  
  lblDialog = "Demo beendet"
  cmdAction.Caption = "ENDE"
  cmdAction.Enabled = True
  
End Sub

Private Sub Form_Unload(Cancel As Integer)

  Beenden
  
End Sub


